Page MenuHomePhabricator

When tapping language switch, a weird blue highlight appears momentarily over the button.
Closed, ResolvedPublic

Description

Highlight is the wrong size and also doesn't use material design. Pressed state should be slightly darker gray.

https://material-design.storage.googleapis.com/publish/material_v_4/material_ext_publish/0Bx4BSt6jniD7SnA4Umw3S0pfNWs/components_buttons_main13.png

Event Timeline

KHammerstein updated the task description. (Show Details)
KHammerstein raised the priority of this task from to Needs Triage.
KHammerstein assigned this task to Mholloway.
KHammerstein added a subscriber: KHammerstein.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 7 2015, 8:53 PM

Easy enough changes to make but I'm going to add @Dbrant for comment before I start.

Change 230963 had a related patch set uploaded (by Dbrant):
Apply correct Material background to some buttons.

https://gerrit.wikimedia.org/r/230963

Mholloway removed Mholloway as the assignee of this task.Aug 12 2015, 1:51 PM
Mholloway set Security to None.

Change 230963 merged by jenkins-bot:
Apply correct Material background to some buttons.

https://gerrit.wikimedia.org/r/230963

Can't see any changes in the alpha build from August 13. Guys - kindly attach screenshots.

Im still seeing a weird grey box, which is not material design compliant.

From the point of input (the contact point of a finger or the microphone icon for voice), make the visual reaction radial.

I think we need some philosophical alignment here - If google isn't carrying libraries for this, then do we want to do it at all?
I see the user need for feedback in this specific case, but the menu does appear instantly.

Verified that this works on Lollypop, does not work on older devices.
Signed off by design.

Dbrant closed this task as Resolved.Sep 2 2015, 4:36 PM
Dbrant claimed this task.